<?
require'../config.php';
$align='left';
$title='Настройки чата';
aut();
head();
levels(8);
who_add(0,'enter');

switch($mod){
default:

echo '<a href="admin_shop?mod=load_gift">Загрузить подарки</a><br/><hr/><a href="admin_shop?mod=creat_kat">Управление категориями</a><br/><hr/>';
$modr = $db->sql_fetchfield($db->sql_query("select count(*) as num from `shops` where `type`='p' and `have`='0' and `mod`='0'"),0);
if($modr>0)echo '<b style="color:red"><a href="admin_shop?mod=moder">Ожидают модерации</a>('.$modr.')</b><br/><hr/>';
echo '<b>Категории</b><br/>- - -<br/>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `type` = 'k'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `shops` WHERE `type` = 'k' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Категорий нет<br/>';
$gifts_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
$k_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '".(int)$a['id']."' AND `type` = 'p' AND `have` = '0' AND `mod` = '1'"), 0);
echo $gifts_k++.')<a href="admin_shop?mod=view&amp;uid='.$a['id'].'">' . $a['name'] . '</a> ('.$k_gifts.')<hr/><br/>';
}
if ($k_page>1){
str('?&amp;',$k_page,$page);
}
break;


case load_gift:
echo '<b>Выберите категорию для загрузки нового подарка</b><br/>- - -<br/>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `type` = 'k'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `shops` WHERE `type` = 'k' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Категорий нет<br/>';
$gifts_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
$k_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '".(int)$a['id']."' AND `type` = 'p' AND `have` = '0' AND `mod` = '1'"), 0);
echo $gifts_k++.')<a href="admin_shop?mod=load&amp;uid='.$a['id'].'"><b>' . $a['name'] . '</b></a> (' . $k_gifts . ')<hr/><br/>';
}
if ($k_page>1){
str('?mod=load_gift&amp;',$k_page,$page);
}
break;

case load:
$uid = (int)$_GET['uid'];
$exists = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$uid'");
$nazv = trim(mysql_real_escape_string(check($_POST['nazv'])));
$price = (int)$_POST['price'];
if (isset($_POST['load_ok'])) {
$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$par = getimagesize($_FILES['file']);
$fnames = $_FILES['file']['name'];
if (empty($nazv)) $err .= 'Вы не заполнили название!<br/>';
if (empty($price)) $err .= 'Вы не заполнили цену!<br/>';
if ($price > 5000) $err .= 'Зачем такая большая сумма?<br/>';
if (!isset($_FILES['file'])) $err .= 'Вы не выбрали файл!<br/>';
if (($par[0] > 640) or ($par[1] > 480)) $err .= 'Неправильное расширение файла!<br/>';
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")) $err .= 'Недопустимое расширение файла!<br/>';
if (!in_array($ext, $pictures)) $err .= 'Недопустимое расширение файла!<br/>';
if ($_FILES['file']['size'] > (1024 * 100)) $err .= 'Размер файла не должен превышать 100Kb!<br/>';
 if (empty($err)) {
$foto = "files/shops_img/img_".time().$ext."";
$today = date('d-m-Y, H:i');
@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0777);
mysql_query("INSERT INTO `shops` SET `name` = '$nazv',`price` = '$price',`type` = 'p',`cid` = '$uid',`author` = '$user[id]',`date` = '$today',`path` = '$foto',`have` = '0',`have_user` = '0',`mod` = '1'");
echo '<b style="color:green">Файл загружен!</b><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit();
 } else {
 echo $err;
 }
}
else
{
if (mysql_num_rows($exists) == false) {
echo 'Такая категория отсутствует!<br/>';
foot();
exit();
}
echo 'Максимальный размер файла 100kb. расширение 640х480px.<br/>Допустимые форматы: *gif *jpg *jpeg *png.<br/>
<form ENCTYPE="multipart/form-data" action="admin_shop?mod=load&amp;uid='.$uid.'" method="POST">
Изображение:<br/>
<INPUT NAME="file" TYPE="file" SIZE="20">
<br/>Название:<br/>
<input type="text" value="vipvi.ru" name="nazv" maxlength="15"/>
<br/>Цена:<br/>
<input type="text" name="price" size="4" maxlength="4"/>
<br/><input type="submit" name="load_ok" value="Загрузить"/>
</form>';
}
break;

case creat_kat:
if (isset($_POST['kat_ok'])) {
$name = trim(mysql_real_escape_string(check($_POST['name'])));
$exists = mysql_query("SELECT `id` FROM `shops` WHERE `name` = '$name'");
if (mysql_num_rows($exists) != false) $error .= 'Такая категория уже существует!<br/>';
if (empty($name)) $error .= 'Не заполнено название категории!<br/>';
if (isset($name{50})) $error .= 'Слишком длинное название категории!<br/>';
if (empty($error)) {
   mysql_query("INSERT INTO `shops` SET `name` = '$name', `type` = 'k'");
echo '<b style="color:green">Категория создана!</b><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit();
   } else {
   echo $error;
   }
}
if (isset($_GET['new_kat'])) {
echo '#Новая категория:<br/>
<form method="POST" action="admin_shop?mod=creat_kat">
<input type="text" maxlength="50" name="name"/><br/>
<input type="submit" name="kat_ok" value="Создать"/>
</form>';
}
echo '<a href="admin_shop?mod=creat_kat&amp;new_kat"><b>Новая категория</b></a><br/><hr/>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `type` = 'k'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `shops` WHERE `type` = 'k' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Категорий нет<br/>';
$kat_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
$k_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '".(int)$a['id']."' AND `type` = 'p' AND `have` = '0' AND `mod` = '1'"), 0);
echo $kat_k++.') [<a href="admin_shop?mod=delete&amp;x='.$a['id'].'">X</a>]<a href="admin_shop?mod=view&amp;uid='.$a['id'].'">' . $a['name'] . '</a> (' . $k_gifts . ') [<a href="admin_shop?mod=edit_kat&amp;x='.$a['id'].'">EDIT</a>]<br/><hr/>';
}
if ($k_page>1){
str('?mod=creat_kat&amp;',$k_page,$page);
}
break;


case view:
$uid = (int)$_GET['uid'];
$exists = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$uid'");
if (mysql_num_rows($exists) == false) {
echo 'Такая категория отсутствует!<br/>';
foot();
exit();
}
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '$uid' AND `have` = '0' AND `mod` = '1' "),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("SELECT * FROM `shops` WHERE `cid` = '$uid' AND `have` = '0' AND `mod` = '1'  ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Ниче нет<br/>';

while($q = @$db->sql_fetchrow($r)){
echo '<br/><img src="../resize.php?img='.$q['path'].'&width=150&amp;height=0" alt="prev"/></a><br/>
<u>' . $q['name'] . '</u><br/>
[<a href="admin_shop?mod=del_p&amp;x='.$q['id'].'">удалить</a>] [<a href="admin_shop?mod=edit_gift&amp;x='.$q['id'].'">EDIT</a>]<br/>
Загружен: ' . $q['date'] . '<br/>
Загрузил: '.nik(user_inf($q['author'], 'user')).'<br/>
Цена: ' . $q['price'] . 'р<br/><hr/>';
}
if ($k_page>1){
str('?mod=view&amp;uid='.$uid.'&amp;',$k_page,$page);
}
break;

case del_p:
$x = abs((int)$_GET['x']);
$del = mysql_query("SELECT `path` FROM `shops` WHERE `id` = '$x' AND `type` = 'p' AND `have` = '0'");
if (mysql_num_rows($del) == false) {
echo 'Такого подарка не существует!<br/>';
}else
{
$in_del = mysql_fetch_assoc($del);
if (file_exists('../'.$in_del['path'])) unlink('../'.$in_del['path']);
mysql_query("DELETE FROM `shops` WHERE `id` = '$x' AND `type` = 'p' AND `have` = '0'");
echo '<b style="color:green">Подарок удален!</b><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit();
}
break;

case delete:
$x = abs((int)$_GET['x']);
$test = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$x' AND `type` = 'k'");

if (mysql_num_rows($test) == false) {
echo 'Такой категории не существует!<br/>';
}
else
{

 $dop_del = mysql_query("SELECT `path` FROM `shops` WHERE `cid` = '$x' AND `type` = 'p' AND `have` = '0'");
while($in_del = mysql_fetch_assoc($dop_del)){
if (file_exists('../'.$in_del['path'])) unlink('../'.$in_del['path']);
 }

mysql_query("DELETE FROM `shops` WHERE `id` = '$x' AND `type` = 'k'");
mysql_query("DELETE FROM `shops` WHERE `cid` = '$x' AND `type` = 'p' AND `have` = '0'");
echo '<b style="color:green">Категория со вложеными файлами удалена!</b><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit();
}
break;

case 'edit_kat':
$x = abs((int)$_GET['x']);
$kateg = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$x' AND `type` = 'k'");
if (mysql_num_rows($kateg) == false) {
echo '<b style="color:red">Такой категории не существует!</b><br/>';
}else{
$x = abs((int)$_GET['x']);
$a = @$db->sql_fetchrow($db->sql_query ("SELECT * FROM `shops` WHERE `id` = '$x' AND `type`='k'"));
if (empty($act)){
if ($ver!='wml'){echo '<form action="?mod='.$mod.'&amp;x='.$x.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Категория:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="name" >'.text($a[name],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'категория:<br /><input name="name'.$ref.'" value="'.text($a[name],false,true,false,false,false).'" title="имя категории"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;x='.$x.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name'.$ref.'"/></go></anchor><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$x = check(intval($_GET['x']));
$name = check($_POST['name']);
if (isset($name{50})) $err .= '<b style="color:red">Слишком длинное название категории!</b><br/>';
if (strlen2($name)<5){echo '<b style="color:red">Имя категории слишком короткое!</b><br/>';
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
$p = @$db->sql_fetchrow($db->sql_query(@"select * from `shops` where name='$name' and id != '".$x."'  limit 1;"));
if ($name == $p['name'])$err = '<b style="color:red">Такая запись уже есть!</b><br/>';
if(empty($err)){
if ($user['translit']==1)$neme = translit($name);
if ($db->sql_query("UPDATE `shops` SET `name` = '$name' WHERE `id` = '".$x."'")){
echo '<b style="color:green">Категория успешно изменена!</b><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo '<b style="color:red">Ошибка!</b><br/>';
}else echo $err;
}
}
break;


case moder:
if(isset($_GET['err']))
{
$err=intval($_GET['err']);
if($err==1)echo '<b style="color:red">Не выбран подарок!</b><br/>';
elseif($err==2)echo '<b style="color:green">Товар одобрен!</b><br/>';
elseif($err==3)echo '<b style="color:red">Товар не одобрен!</b><br/>';
}
if(isset($_GET['dopysk']))
{
$dop=intval($_GET['dopysk']);
$x=intval($_GET['x']);
if(empty($x))
{
header('Location: admin_shop?mod=moder&err=1');
exit;
}
if($dop==2)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `id`='".$x."' AND `type`='p' AND `have`='0'"),0)==1)
{
$to = mysql_fetch_assoc(mysql_query("SELECT * FROM `shops` WHERE `id`='".$x."' AND `type`='p'"));
$msg = 'Администратор '.nik($user['user']).' не одобрил ваш подарок!';
$time = time();
mysql_query ("INSERT INTO `privat` (user,user_id,to_user,to_id,time,msg)VALUES ('".$user_system."','0','$user','$to[author]','$time','$msg')");
mysql_query("DELETE FROM `shops` WHERE `id` = '".$x."' AND `type`='p'");

unlink (H.$to['path'].'');
header('Location: admin_shop?mod=moder&err=3');
exit;
}
}
if($dop==1)
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `id`='".$x."' AND `type`='p' AND `have`='0'"),0)==1)
{
if(mysql_query("UPDATE `shops` SET `mod` = '1' WHERE `id` = '".$x."' AND `have`='0'"))
{
$to = mysql_fetch_assoc(mysql_query("SELECT * FROM `shops` WHERE `id`='".$x."' AND `type`='p'"));
$msg = 'Администратор '.nik($user['user']).' oдобрил ваш подарок!';
$time = time();
mysql_query ("INSERT INTO `privat` (user,user_id,to_user,to_id,time,msg)VALUES ('".$user_system."','0','$user','$to[author]','$time','$msg')");
header('Location: admin_shop?mod=moder&err=2');
exit;
}
}
}
}
if (empty($user['max']))
$user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `have`='0' AND `type`='p' AND `mod`='0'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
if($k_post==0)
{
echo 'Нет товаров<br/>';
}
$r=mysql_query("SELECT * FROM `shops` WHERE  `have`='0' AND  `type`='p' AND `mod`='0' ORDER BY `id` DESC LIMIT $start, $max");
while($q = @$db->sql_fetchrow($r))
{
echo '<img src="../resize.php?img='.$q['path'].'&amp;width=150&amp;height=0" alt="prev"/><br/><u>Подпись</u> ' . $q['name'] . '<br/>
Загружен: ' . $q['date'] . '<br/>Загрузил: ' . nik(user_inf($q['author'], 'user')) . '
<br/>Цена: ' . $q['price'] . 'р<br/>* * *<br/>[<a href="admin_shop?mod=moder&amp;dopysk=1&amp;x='.$q['id'].'">Одобрить</a>][<a href="admin_shop?mod=moder&amp;dopysk=2&amp;x='.$q['id'].'">Удалить</a>][<a href="admin_shop?mod=edit_gift&amp;x='.$q['id'].'">EDIT</a>]<br/><hr/>';
}

if ($k_page>1)
{
echo ''.str('admin_shop?mod=moder&amp;',$k_page,$page).'<dl><dt></dt></dl>';
}
break;


case 'edit_gift':
$x = abs((int)$_GET['x']);
$gift = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$x' AND `type` = 'p'");
if (mysql_num_rows($gift) == false) {
echo '<b style="color:red">Такого подарка не существует!</b><br/>';
}else{
$x = abs((int)$_GET['x']);
$a = @$db->sql_fetchrow($db->sql_query ("SELECT * FROM `shops` WHERE `id` = '$x' AND `type`='p'"));
if (empty($act)){
if ($ver!='wml'){echo '<form action="?mod='.$mod.'&amp;x='.$x.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Подпись подарка :<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="name" >'.text($a[name],false,true,false,false,false).'</textarea><br/>';
echo'Цена:<input type="text" name="price" value="'.$a[price].'" maxlength="4" title="Text"/><br/>';

echo 'Категория:<br/><select name="dir">';
$q = mysql_query("SELECT * FROM `shops`WHERE `type`='k'");
while ($dir = mysql_fetch_assoc($q)) {
if($_GET['id'] == $dir['cid']) echo '<option value="'.$dir['cid'].'" SELECTED>'.$dir['name'].'</option>'; 
else
echo '<option value="'.$dir['cid'].'">'.$dir['name'].'</option>';            
}
echo '</select><br/>'; 

echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else{
echo 'Подпись подарка :<br /><input name="name'.$ref.'" value="'.text($a[name],false,true,false,false,false).'" title="подпись"/><br/>';
echo 'Цена:<br /><input name="price'.$ref.'" value="'.$a[price].'" title="подпись"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="?mod='.$mod.'&amp;x='.$x.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="price" value="$price'.$ref.'"/></go></anchor><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
}else if($act==editi){
$x = check(intval($_GET['x']));
$name = check($_POST['name']);
$price = check(intval($_POST['price']));
if (isset($name{50})) $err .= '<b style="color:red">Слишком длинноя подпись!</b><br/>';
if (empty($price)) $err .= '<b style="color:red">Не заполнена цена подарка!</b><br/>';
if ($price > 5000) $err .= '<b style="color:red">Зачем такая большая сумма?</b><br/>';
if (empty($name)) $err .= '<b style="color:red">Не заполнена подпись подарка!</b><br/>';
if (strlen2($name)<5){echo '<b style="color:red">Подпись слишком коротка</b><br/>';
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}
if(empty($err)){
if ($db->sql_query("UPDATE `shops` SET `name` = '".$name."' , price='$price' WHERE `id` = '".$x."'")){
echo '<b style="color:green">Изменения приняты!</b><br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit;
}else echo '<b style="color:red">Ошибка сообщите администрации!</b><br/>';
}else echo $err;
}
}
break;
}
echo '<br/>';
if($mod)echo gb.'<a href="admin_shop">Управление подарками</a>'.div;
echo gb.'<a href="'.H.'shops">В магазин</a><br/>'.div;
echo gb.'<a href="index">В админку</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br/>'.div;
foot();
?>